Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.pnn
Class PersistBasicPNN

    java.lang.Object
      org.encog.neural.pnn.PersistBasicPNN

All Implemented Interfaces:
  EncogPersistor

    public class PersistBasicPNN

extends Object
implements EncogPersistor

Persist a PNN.

Field Summary
`static String` | `PROPERTY_outputMode` The output mode property.

Constructor Summary
`PersistBasicPNN()`

Method Summary
`int` | `getFileVersion()`
`String` | `getPersistClassString()`
`static String` | `kernelToString(PNNKernelType k)` Convert a kernel type to a string.
`static String` | `outputModeToString(PNNOutputMode mode)` Convert output mode to string.
`Object` | `read(InputStream is)` Read the object from an input stream.
`void` | `save(OutputStream os, Object obj)` Save the object.
`static PNNKernelType` | `stringToKernel(String k)` Convert a string to a PNN kernel.
`static PNNOutputMode` | `stringToOutputMode(String mode)` Convert a string to a PNN output mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_outputMode

    public static final String PROPERTY_outputMode

  The output mode property.

  See Also:
    Constant Field Values

Constructor Detail

### PersistBasicPNN

    public PersistBasicPNN()

Method Detail

### kernelToString

    public static String kernelToString(PNNKernelType k)

  Convert a kernel type to a string.

  Parameters:
    `k` - The kernel type.
  Returns:
    The string.

### outputModeToString

    public static String outputModeToString(PNNOutputMode mode)

  Convert output mode to string.

  Parameters:
    `mode` - The output mode.
  Returns:
    The string.

### stringToKernel

    public static PNNKernelType stringToKernel(String k)

  Convert a string to a PNN kernel.

  Parameters:
    `k` - The string.
  Returns:
    The kernel.

### stringToOutputMode

    public static PNNOutputMode stringToOutputMode(String mode)

  Convert a string to a PNN output mode.

  Parameters:
    `mode` - The string.
  Returns:
    The output ndoe.

### getFileVersion

    public final int getFileVersion()

  Specified by:
    `getFileVersion` in interface `EncogPersistor`
  Returns:
    Get the file version used by this persistor.

### getPersistClassString

    public final String getPersistClassString()

  Specified by:
    `getPersistClassString` in interface `EncogPersistor`
  Returns:
    Get the class string for the object.

### read

    public final Object read(InputStream is)

  Read the object from an input stream.

  Specified by:
    `read` in interface `EncogPersistor`
  Parameters:
    `is` - The input stream.
  Returns:
    The object.

### save

    public final void save(OutputStream os,
                           Object obj)

  Save the object.

  Specified by:
    `save` in interface `EncogPersistor`
  Parameters:
    `os` - The output stream to save to.
    `obj` - The object to save.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.